%global momorel 18
%global scimver 1.4.9
%global scim_major_version 1.4.0

Summary: Smart Pinyin IMEngine for Smart Common Input Method platform
Name: scim-pinyin
Version: 0.5.91
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.scim-im.org/projects/imengines/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-shuangpin.patch
Patch1: %{name}-showallkeys.patch
Patch2: %{name}-helper.patch
Patch3: %{name}-%{version}-13.bz200702.patch
Patch4: %{name}-help-translate.patch
Patch5: %{name}-%{version}-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: scim >= %{scimver}
BuildRequires: scim-devel >= %{scimver}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libpng-devel
BuildRequires: libtool
BuildRequires: libxcb-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel
Obsoletes: skim-scim-pinyin

%description
This package includes Simplified Chinese Smart Pinyin IMEngine for SCIM.

%prep
%setup -q

%patch0 -p1 -b .shuangpin
%patch1 -p1 -b .showallkeys
%patch2 -p1 -b .helperi
%patch3 -p1 -b .bz200702
%patch4 -p1 -b .translate
%patch5 -p1 -b .gcc43~

# for patches
./bootstrap

%build
%configure --enable-static=no
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/scim-1.0/%{scim_major_version}/{Helper,IMEngine,SetupUI}/pinyin*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_libdir}/scim-1.0/%{scim_major_version}/Helper/pinyin-imengine-helper.so
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/pinyin.so
%{_libdir}/scim-1.0/%{scim_major_version}/SetupUI/pinyin-imengine-setup.so
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/scim/icons/smart-pinyin.png
%{_datadir}/scim/pinyin

%changelog
* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.91-18m)
- rebuild for glib 2.33.2

* Wed Jan 25 2012 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.91-17m)
- re-enable optflags
- Obsoletes: skim-scim-pinyin
- remove a line for building skim-scim-pinyin

* Tue Jan 24 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.91-16m)
- Obsoletes: scim-skim-pinyin

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.91-15m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.91-14m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.91-13m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.91-12m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.91-11m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Aug  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.91-10m)
- change BuildRequires: skim to skim-devel

* Sun May 31 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.91-9m)
- fix build with new libtool

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.91-8m)
- rebuild against rpm-4.6

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.91-7m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.91-6m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.91-5m)
- rebuild with skim-1.4.4-0.20060301.7m

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.91-4m)
- specify KDE3 headers and libs
- modify BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.91-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.91-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.91-1m)
- initial package for Momonga Linux
- import 5 patches from Fedora
